#
# spec file for package zypper-migration-plugin
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zypper-migration-plugin
Version:        0.12.1618498507.b68ecea
Release:        1.1
URL:            https://github.com/SUSE/zypper-migration
Requires:       zypper >= 1.11.38
Requires:       rubygem(%{rb_default_ruby_abi}:suse-connect) >= 0.3.10
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  zypper >= 1.11.38
Source:         zypper-migration-%{version}.tar.xz
Summary:        Zypper subcommand for online migration
License:        GPL-2.0-only
Group:          System/Packages
BuildArch:      noarch
Supplements:    packageand(zypper:SUSEConnect)

%description
Zypper subcommand for online migration to new service pack.

%prep
%setup -q -n zypper-migration-%{version}

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/zypper/commands $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 zypper-migration $RPM_BUILD_ROOT/usr/lib/zypper/commands/
install -m 644 zypper-migration.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

%files
%defattr(-,root,root,-)
/usr/lib/zypper/commands
%{_mandir}/man8/*

%changelog
* Thu Apr 15 2021 nadvornik@suse.com
- version 0.12.1618498507.b68ecea
- Disable all repos on Leap - SLES migration (bsc#1184237)
* Fri May 29 2020 nadvornik@suse.com
- version 0.12.1590748670.86b0749
- make sure all release packages are installed (bsc#1171652)
* Tue Jan 28 2020 nadvornik@suse.com
- version 0.12.1580220831.7102be8
- check if snapper is configured (jira#SLE-7752)
* Wed Sep  5 2018 nadvornik@suse.com
- version 0.12.1536145027.be6a3dd
- return non-zero exit code if there are possible migrations, but
  none is mirrored on registration server (bsc#1107238)
- check for closed stdin (bsc#1100137)
* Thu Jun 21 2018 nadvornik@suse.com
- adjusted packaging of changes file
* Tue Jun 12 2018 kukuk@suse.de
- implement offline migration
- require SUSEConnect >= 0.3.10
* Fri Mar  9 2018 nadvornik@suse.com
- version 0.11.1520597355.bcf74ad
  - more changes to get --root working
* Thu Jan 25 2018 nadvornik@suse.com
- version 0.11.1516874532.fa20262
  - add --no-snapshots and --root options
* Wed Aug 31 2016 nadvornik@suse.com
- use the same snapper commandline as yast2 migration (bsc#984324)
- version 0.10
* Mon Apr 18 2016 nadvornik@suse.com
- better help for --download-only (bsc#973886)
- call rollback only if release package can't be installed
- better error messages (bsc#975485)
- added man page (bsc#972688)
- version 0.9
* Mon Apr  4 2016 nadvornik@suse.com
- install release packages and call SUSEConnect
  rollback before getting migration target
  (fate#320533)
* Tue Dec 15 2015 nadvornik@suse.com
- do not add --recommends by default (bsc#959134)
* Fri Nov 27 2015 stephan.barth@suse.com
- Extended Supplements from zypper to zypper and SUSEConnect to improve
  handling of dependencies
* Thu Nov 26 2015 stephan.barth@suse.com
- Added Supplements for zypper to ensure automatic installation
* Tue Oct 20 2015 nadvornik@suse.com
- version 0.8
- use stable sort for product list returned by scc
* Fri Oct  9 2015 nadvornik@suse.com
- fixed obsoleted service check to work with SMT
* Thu Oct  1 2015 nadvornik@suse.com
- version 0.7
- backup of /etc/zypp (bsc#946858)
- do not create extra snapshots (bnc#947270)
- correctly handle zypper failures (bnc#946750)
* Sun Sep 20 2015 nadvornik@suse.com
- version 0.6
- better exception handling (bsc#946003, bsc#945681, bsc#946206)
- sync output (bnc#945619)
- use --no-refresh where possible (bsc#945462)
- rollback (bsc#941458)
* Thu Sep 10 2015 nadvornik@suse.com
- version 0.5
- use --updatestack-only (bsc#945030)
* Thu Aug 27 2015 nadvornik@suse.com
- version 0.4
- handle products with flag 'available'
- install patches, restart after updates (bsc#943267)
- use long product names
- sort product list, put installed products at the end (bsc#943269)
* Tue Aug 18 2015 nadvornik@suse.com
- version 0.3
- handle api exceptions (bsc#940771)
- create snapshots (bsc#941460)
- use releasever (bsc#941565)
- do not print internal product name (bsc#941630)
* Tue Aug  4 2015 nadvornik@suse.com
- version 0.2
- disable obsolete repos (fate#319140)
- require suse-connect >= 0.2.20
* Tue Jun 23 2015 nadvornik@suse.com
- new package
